Closing the RTP Payload Format Media Types Registry
RFC 9751
Magnus Westerlund
Ericsson
magnus.westerlund@ericsson.com
March 2025
WIT
avtcore
example
A number of authors defining RTP payload formats and the Working Group process have failed to ensure that the media types are registered in the IANA "RTP Payload Format Media Types" registry as recommended by RFC 8088. To simplify the process and rely only on the "Media Types" registry, this document closes the RTP payload-specific registry. In addition, it updates the instruction in RFC 8088 to reflect this change.
Introduction
Some times, authors defining new Real-time Transport Protocol (RTP) payload formats forgot to specify registration of the format's media type in the "RTP Payload Format Media Types" registry [RTP-FORMATS] as recommended by [RFC8088]. In practice, this has no real impact. This registry is not used for any purpose other than to track which media types actually have RTP payload formats, which can be done through other means.
It is required that media types be registered in the "Media Types" registry [MEDIA-TYPES] to identify the format in various signalling usages, avoid collisions, and reference the defining specifications.
To resolve this situation, this document:
- updates the "RTP Payload Format Media Types" registry to include known RTP payload formats at the time of writing,
- closes the "RTP Payload Format Media Types" registry to future registrations and lists this RFC as a reference, and
- removes from [RFC8088] the instruction to register RTP payload formats in the "RTP Payload Format Media Types" registry.
The origins of the "RTP Payload Format Media Types" registry, as referenced in [RTP-FORMATS], are unclear. The registry cites [RFC4855] as providing the instructions for its maintenance. However, upon reviewing RFC 4855, no text has been found that defines the registry's purpose and operational rules. Further attempts to trace the registry's creation have failed to uncover any references to its establishment. It is likely that the registry was created based on email correspondence or at the request of an Area Director. Consequently, there is no known specification for this registry that requires updating upon its closure.
Update to How to Write an RTP Payload Format
The IANA Considerations section of "How to write an RTP Payload Format" (Section 7.4 of [RFC8088]) mandates that RTP payload formats shall be registered in the "RTP Payload Format Media Types" registry. The following paragraph is updated as shown below, thus removing the need for media types to be registered in the "RTP Payload Format Media Types" registry. Note that this update does not impact the rest of RFC 8088's status as an Informational RFC.
OLD:
Since all RTP payload formats contain a media type specification, they also need an IANA Considerations section. The media type name must be registered, and this is done by requesting that IANA register that media name. When that registration request is written, it shall also be requested that the media type is included under the "RTP Payload Format media types" sub-registry of the RTP registry (http://www.iana.org/assignments/rtp-parameters).
NEW:
Since all RTP payload formats contain a media type specification, they also need an IANA Considerations section. The media type name must be registered, and this is done by requesting that IANA register that media name in the "Media Types" registry (https://www.iana.org/assignments/media-types/).
IANA Considerations
IANA has added the following RTP payload types to the "RTP Payload Format Media Types" registry [RTP-FORMATS].
Payload Types Added to the RTP Payload Format Media Types Registry
Media Type | Subtype | Clock Rate (Hz) | Channels (audio) | Reference
application | flexfec | | | RFC 8627
audio | EVRCNW | 16000 | | RFC 6884
audio | EVRCNW0 | 16000 | | RFC 6884
audio | EVRCNW1 | 16000 | | RFC 6884
audio | aptx | | | RFC 7310
audio | opus | 48000 | | RFC 7587
audio | G711-0 | | | RFC 7650
audio | flexfec | | | RFC 8627
text | flexfec | | | RFC 8627
text | ttml+xml | | | RFC 8759
video | VP8 | 90000 | | RFC 7741
video | AV1 | 90000 | | [AV1-Media-Type]
video | HEVC | 90000 | | RFC 7798
video | smpte291 | | | RFC 8331
video | VVC | 90000 | | RFC 9328
video | EVC | 90000 | | RFC 9584
video | flexfec | | | RFC 8627
IANA has updated the following entries in the "RTP Payload Format Media Types" registry [RTP-FORMATS].
Payload Types Updated in RTP Payload Format Media Types Registry
Media Type | Subtype | Clock Rate (Hz) | Channels (audio) | Reference
audio | MP4A-LATM | | | RFC 6416
video | MP4V-ES | 90000 | | RFC 6416
IANA has also closed the "RTP Payload Format Media Types" registry [RTP-FORMATS] to any further registrations. IANA added the following to the registry note:
NEW:
This registry has been closed; it was considered redundant because all RTP payload formats are part of the [Media Types registry]. See RFC 9751 for further details.
In addition, IANA updated the note in the "RTP Payload Format Media Types" registry [RTP-FORMATS] as follows:
OLD:
Registration procedures and a registration template can be found in [RFC4855].
NEW:
It was previously stated that registration procedures and a registration template can be found in [RFC4855]. As documented in RFC 9751, this is not the case.
Security Considerations
This document has no security considerations as it defines an administrative rule change.
References
Normative References
[RTP-FORMATS]

RTP Payload Format Media Types
IANA
[MEDIA-TYPES]

Media Types
IANA
[AV1-Media-Type]

video/AV1
IANA
Informative References
[RFC8088]
[RFC4855]
Acknowledgments
The author thanks Jonathan Lennox, Zaheduzzaman Sarker, Bernard Aboba, Elwyn Davies, Wes Hardaker, Gunter Van de Velde, Éric Vyncke, Mahesh Jethanandani, and Hyunsik Yang for their reviews and editorial fixes.